/*===============================================================================
***既存スタイル
================================================================================*/
.l-container.w-footer {
	padding: 0;
}
.l-footer__widgetArea,
.w-footer__box {
	padding: 0;
}
/* 幅広レイアウトに対応する為に必要 */
.w-footer__box {
	max-width: 100%;
}
.w-beforeFooter{
	margin: 0;
}

/*===============================
* 背景
* =================================*/
.myFooter__inner{
	position: relative;
	padding: var(--g-sec--md) 0;
}
.myFooter__bgi{
	position: absolute;
	top: 0;
	left: calc( 50% - 50vw );
	z-index: -1;
	max-width: 100vw;
	width: 100vw;
	height: 100%;
}

.myFooter__flex{
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	gap: var(--g-sec--xs);
	margin-bottom: var(--g-sec--sm);
}
@media (min-width: 960px){
	.myFooter__flex{
		flex-wrap: nowrap;
	}
}

/*===============================
* info
* =================================*/
.myFtr-info{
	width: 100%;
}
@media (min-width: 960px){
	.myFtr-info{
		max-width: 26rem;
	}
}
.myFtr-info__inner{
	--count: 1;
	--gap: 1rem;
	display: flex;
	flex-wrap: wrap;
	gap: var(--g-sec--xs) var(--gap);
}
@media (min-width: 600px){
	.myFtr-info__inner{
		--count: 2;
	}
}
@media (min-width: 960px){
	.myFtr-info__inner{
		--count: 1;
	}
}
.myFtr-info__detail{
	width: calc( ( 100% - var(--gap) * (var(--count) - 1) ) / var(--count) );
}
.myFtr-info__data{
	margin-bottom: var(--g-sec--xs);
}
.myFtr-info__lead{
	margin-bottom: .5rem;
}
/* logo */
.myFtr-info__logo{
	display: block;
	width: clamp(12.5rem, 10.714rem + 4.76vw, 15rem);
	margin-bottom: 1rem;
	transition: var(--ani-t--normal) ease-out;
}
.myFtr-info__logo:is(:hover, :focus){
	opacity: .7;
}
/* bannar */
.myFtr-info__bannars{
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	grid-template-rows: repeat(2, 1fr);
	gap: .5rem 1rem;
	max-width: 416px;
	width: 100%;
}
.myFtr-info__bannar{
	transition: var(--ani-t--normal) ease-out;
}
.myFtr-info__bannar:is(:hover, :focus){
	opacity: .7;
}
.myFtr-info__bannar.--1{
	grid-area: 1 / 1 / 2 / 2;
}
.myFtr-info__bannar.--2{
	grid-area: 2 / 1 / 3 / 2;
}
.myFtr-info__bannar.--3{
	grid-area: 1 / 2 / 3 / 3;
}

/* btn */
.myFtr-info__btns{
	display: flex;
	flex-direction: column;
	gap: 1rem;
	max-width: 25rem;
	width: calc( ( 100% - var(--gap) * (var(--count) - 1) ) / var(--count) );
}
.myFtr-info__btns a{
	padding: 1rem 0;
}

/*===============================
* nav
* =================================*/
.myFtr-nav{
	display: flex;
	justify-content: space-between;
	flex-direction: column;
	width: 100%;
	font-weight: var(--fw-md);
}
@media (min-width: 600px){
	.myFtr-nav{
		flex-direction: row;
	}
}
@media (min-width: 960px){
	.myFtr-nav{
		max-width: 664px;
	}
}

/* ul */
.myFtr-nav > ul{
	width: 100%;
}
@media (min-width: 600px){
	.myFtr-nav > ul.--has-line{
		max-width: 180px;
	}
	.myFtr-nav > ul{
		max-width: fit-content;
	}
}
.myFtr-nav > ul > li.is-open{
	border-bottom: 1px solid var(--c-blue--dark);
}
/* li */
@media (min-width: 600px){
	.myFtr-nav > ul > li:not(:last-of-type){
		margin-bottom: 1rem;
	}
}
/* a */
.myFtr-nav > ul:first-of-type > li > a{
	border-top: 1px solid var(--c-blue--dark);
}
.myFtr-nav > ul > li > a{
	--c-current: var(--c-blue--dark);
	--arrow-size: .5rem;
	--arrow-weight: 2px;
	display: inline-flex;
	align-items: center;
	justify-content: space-between;
	gap: .75rem;
	min-width: fit-content;
	width: 100%;
	padding: 1rem;
	border-bottom: 1px solid var(--c-blue--dark);
	color: var(--c-current);
	font-weight: var(--fw-lg);
	transition: var(--ani-t--normal) ease-out;
}
@media (min-width: 600px){
	.myFtr-nav > ul > li > a:first-of-type{
		border-top: 0;
	}
	.myFtr-nav > ul > li > a{
		justify-content: flex-start;
		width: auto;
		padding: 0;
		border-bottom: 0;
	}
}
.myFtr-nav > ul > li > a:is(:hover, :focus){
	--c-current: var(--c-main);
}

/* アイコン：サブメニュー無し */
.myFtr-nav > ul > li:not(:has(.sub-menu)) > a > .myFtr-nav__icon{
	transform: rotate(45deg);
	content: "";
	width: var(--arrow-size);
	height: var(--arrow-size);
	border-top: var(--arrow-weight) solid var(--c-current);
	border-right: var(--arrow-weight) solid var(--c-current);
	transition: var(--ani-t--normal) ease-out;
}
.myFtr-nav > ul > li:not(:has(.sub-menu)) > a:is(:hover, :focus) > .myFtr-nav__icon{
	transform: rotate(45deg) translate(0.2em, -0.2em);
}

/* アイコン：サブメニュー有り */
.myFtr-nav > ul > li:has(.sub-menu) > a > .myFtr-nav__icon{
	content: "";
	position: relative;
	width: calc( var(--arrow-size) * 1.5 );
	height: calc( var(--arrow-size) * 1.5 );
	transition: var(--ani-t--normal) ease-out;
}
.myFtr-nav > ul > li:has(.sub-menu) > a > .myFtr-nav__icon::before,
.myFtr-nav > ul > li:has(.sub-menu) > a > .myFtr-nav__icon::after{
	position: absolute;
	top: 50%;
	left: 50%;
	content: '';
	width: 100%;
	height: var(--arrow-weight);
	background: var(--c-current);
	transition: var(--ani-t--normal) ease-out;
}
.myFtr-nav > ul > li:has(.sub-menu) > a > .myFtr-nav__icon::before{transform: translate(-50%, -50%) rotate(90deg);}
.myFtr-nav > ul > li:has(.sub-menu) > a > .myFtr-nav__icon::after{transform: translate(-50%, -50%) rotate(0deg);}
/* アニメーション */
.myFtr-nav > ul > li:has(.sub-menu).is-open > a > .myFtr-nav__icon::before{transform: translate(-50%, -50%) rotate(180deg);}
.myFtr-nav > ul > li:has(.sub-menu).is-open > a > .myFtr-nav__icon::after{
	opacity: 0;
	transform: translate(-50%, -50%) rotate(90deg);
}
@media (min-width: 600px){
	.myFtr-nav > ul > li:has(.sub-menu) > a > .myFtr-nav__icon{
		transform: rotate(45deg);
		width: var(--arrow-size);
		height: var(--arrow-size);
		border-top: var(--arrow-weight) solid var(--c-current);
		border-right: var(--arrow-weight) solid var(--c-current);
	}
	.myFtr-nav > ul > li:has(.sub-menu) > a:is(:hover, :focus) > .myFtr-nav__icon{
		margin-left: .25rem;
	}
	.myFtr-nav > ul > li:has(.sub-menu) > a > .myFtr-nav__icon::before,
	.myFtr-nav > ul > li:has(.sub-menu) > a > .myFtr-nav__icon::after{
		content: none;
	}
}

/* sub-menu */
/* sub-menu > li */
.myFtr-nav > ul > li.menu-item-has-children .sub-menu{
	width: 100%;
	padding-left: 1rem;
}
@media (min-width: 600px){
	.myFtr-nav > ul > li.menu-item-has-children .sub-menu{
		margin-top: .75rem;
		padding-top: .75rem;
		padding-left: 0;
		border-top: 1px solid var(--c-blue--dark);
	}
	.myFtr-nav__list .sub-menu > li:not(:last-of-type){
		margin-bottom: .5rem;
	}
}

/* sub-menu > li > a */
.myFtr-nav__list .sub-menu > li > a{
	--c-current: var(--c-blue--dark);
	--arrow-size: .5rem;
	--arrow-weight: 1px;
	display: inline-flex;
	align-items: center;
	gap: .25rem;
	width: 100%;
	min-width: fit-content;
	padding: .75rem 1rem;
	color: var(--c-current);
	font-weight: var(--fw-md);
	transition: var(--ani-t--normal) ease-out;
}
.myFtr-nav__list .sub-menu > li:not(:last-of-type) > a{
	border-bottom: 1px dashed var(--c-blue--dark);
}
@media (min-width: 600px){
	.myFtr-nav__list .sub-menu > li > a{
		padding: 0;
	}
	.myFtr-nav__list .sub-menu > li:not(:last-of-type) > a{
		border-bottom: 0;
	}
}
.myFtr-nav__list .sub-menu > li > a:is(:hover, :focus){
	--c-current: var(--c-main);
}
/* アイコン */
.myFtr-nav__list .sub-menu > li > a::before{
	content: "";
	width: var(--arrow-size);
	height: var(--arrow-weight);
	background: var(--c-current);
	transition: var(--ani-t--normal) ease-out;
}
.myFtr-nav__list .sub-menu > li > a:is(:hover, :focus)::before{
	margin-right: .25rem;
}

/*===============================
* 水玉
* =================================*/
.myFooter__mizutama{
	position: absolute;
	z-index: -1;
}
.myFooter__mizutama.--1{
	top: clamp(23.5rem, 18.143rem + 14.29vw, 31rem);
	left: calc( 50% - 50vw - 80px );
	width: clamp(15rem, 11.429rem + 9.52vw, 20rem);
	opacity: 20%;
}
.myFooter__mizutama.--2{
	top: 12px;
	left: calc( 50% - 50vw + clamp(19rem, 16.143rem + 7.62vw, 23rem) );
	transform: rotate(-45deg);
	width: 60px;
	opacity: 25%;
}
.myFooter__mizutama.--3{
	bottom: calc( clamp(6.75rem, 4.429rem + 6.19vw, 10rem) * -1 );
	right: calc( 50% - 50vw + 280px );
	width: clamp(10rem, 4.643rem + 14.29vw, 17.5rem);
	opacity: 15%;
}
.myFooter__mizutama.--4{
	top: 240px;
	right: calc( 50% - 50vw + 84px );
	width: 60px;
	opacity: 25%;
	display: none;
}
.myFooter__mizutama.--5{
	top: 40px;
	right: calc( 50% - 50vw - 72px );
	width: 200px;
	opacity: 15%;
	display: none;
}
@media (min-width: 600px){
	.myFooter__mizutama.--4, 
	.myFooter__mizutama.--5{
		display: block;
	}
}

/*===============================
* SNS
* =================================*/
.myFtr-sns__lead{
	margin-bottom: .5rem;
	text-align: center;
	color: var(--c-blue--dark);
	font-weight: var(--fw-lg);
}
.myFtr-sns__list{
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 1rem;
}
.myFtr-sns__item{
	display: flex;
	justify-content: center;
	align-items: center;
	width: 2.5rem;
	border-radius: 50%;
	box-shadow: 0px 0px 16px rgba(14, 90, 167, 0.1);
	background: var(--c-light);
	aspect-ratio: 1;
	transition: var(--ani-t--normal) ease-out;
}
.myFtr-sns__item:is(:hover, :focus){
	box-shadow: 0px 0px 0px rgba(14, 90, 167, 0.1);
	background: var(--c-blue);
	transform: translateY(-12.5%);
}
.myFtr-sns__icon{
	width: 50%;
}


/*===============================================================================
***コピーライト
================================================================================*/
.l-footer__foot {
	display: none;
}
.myFooter__copy{
	position: relative;
	padding: 1.25rem;
	text-align: center;
	color: var(--c-light);
	font-weight: var(--fw-lg);
	font-size: clamp(0.75rem, 0.571rem + 0.48vw, 1rem);
}
.myFooter__copy::before{
	position: absolute;
	top: 0;
	left: calc( 50% - 50vw );
	z-index: -1;
	content: "";
	width: 100vw;
	height: 100%;
	background: var(--c-blue--dark);
}
